# Interface ClippedShader

public interface ClippedShader
Aggregates a Shader with a Subrange. The subrange indicates how much of the shader's ramp should be used in some kind of default context. This is typically used to clip off parts of the ramp that are indistinguishable from a (white) background.

Since:
  29 Jun 2016
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Shader`
`getShader()`
Returns the shader.
`Subrange`
`getSubrange()`
Returns the default subrange to use with the shader in a default context.

## Method Details

### getShader

Shader getShader()
Returns the shader.

Returns:
  shader

### getSubrange

Subrange getSubrange()
Returns the default subrange to use with the shader in a default context.

Returns:
  subrange